Bug 1119210 - neutron-server and neutron-lbaas-agent crash due to Timeout while waiting on RPC response
Summary: neutron-server and neutron-lbaas-agent crash due to Timeout while waiting on ...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 4.0
Hardware: Unspecified
OS: Linux
medium
high
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: John Schwarz
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 09:37 UTC by Nir Magnezi
Modified: 2016-04-27 01:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-26 07:40:43 UTC


Attachments (Terms of Use)

Description Nir Magnezi 2014-07-14 09:37:40 UTC
Description of problem:
=======================
This reproduced twice while testing general sanity.
It always pops when testing the functionality of neutron-lbaas-agent, which as a result of that issue won't function.

Version-Release number of selected component (if applicable):
=============================================================
Havana 2014-07-09.2

python-neutronclient-2.3.4-1.el6ost.noarch
python-neutron-2013.2.3-12.el6ost.noarch
openstack-neutron-2013.2.3-12.el6ost.noarch
openstack-neutron-openvswitch-2013.2.3-12.el6ost.noarch

qpid-cpp-server-0.18-17.el6_4.x86_64

How reproducible:
=================
2/2

Steps to Reproduce:
===================
1. Create LB pool with two members, healthmonitor, vip
2.

Actual results:
===============
as stated above.

Expected results:
=================
Should work with no issues.

Comment 5 John Schwarz 2014-08-20 08:59:47 UTC
The two log files, server.log and lbaas-agent.log, are identical (and seem to belong to the neutron-server process). Please provide both again.

Comment 6 Nir Magnezi 2014-08-26 07:40:43 UTC
(In reply to John Schwarz from comment #5)
> The two log files, server.log and lbaas-agent.log, are identical (and seem
> to belong to the neutron-server process). Please provide both again.

Unfortunately, The bug won't reproduce.
Will re-open this bug in case of clear reproduction.


Note You need to log in before you can comment on or make changes to this bug.